Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

This feature has initially been requested on the forum (Configure custom icons for Project Categories).

I'll attach a tiny patch (that includes a simple test) which is made against source:/trunk@14420 using git format-patch. It can be

applied using patch -p1 < 0001-....

History

#1 - 2015-08-06 04:11 - Toshi MARUYAMA

- Target version set to 3.2.0

#2 - 2015-10-04 14:37 - Jean-Philippe Lang

- Target version changed from 3.2.0 to Candidate for next major release

Categories are defined per projet and much more enclined to change than trackers and statuses. I don't think many people would make us of that and

I'd prefer to get more feedback before adding it to the core.

#3 - 2015-10-31 05:52 - Toshi MARUYAMA

Sorry, what does "enclined" mean?

#4 - 2015-10-31 10:38 - Jean-Philippe Lang

Sorry, typo: inclined.

#5 - 2017-06-23 20:28 - Manuel Palachuk

Jean-Philippe Lang wrote:

Categories are defined per projet and much more enclined to change than trackers and statuses. I don't think many people would make us of

that and I'd prefer to get more feedback before adding it to the core.

 I'm reviewing this post as I have recently updated my entire multi instance site to the latest redmine.

It took me a bit to realize that all my icons for categories were broken. So I'll apply the patch and see if it helps.

While I'm here I may as well add my two cents.

Having relied on this to create a really robust GUI for my environment I have also found the frustration of having to go edit the .css to add a whole

new set of element definitions just becasue I created another project and I'd like it to have the same categories and associated icons.

I have of course built a custom theme and I manage the css callouts for the icons in the theme application.css, not in the core.

All that being said, if the code snippet is included in the core, it allows those who wish to use the icons an option to do so in their custom theme. And if

I someone were so inclined they could write a plugin to allow selection of icons to be used for the entire array of categories used across all projects in

the instance. Maybe they would even write one to allow you to change or override other icons in the instance.

Leave it out and we have to path/hack.

One simple code inclusion and Redmine gets that much more versatile for those who wish to take advantage of the option.

Thank you by the way, for this fantastic program!

Files

0001-Add-category_id-to-issues-CSS-classes-when-it-s-pres.patch 1.64 KB 2015-07-11 Mischa The Evil
